<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Guess my number</title>
    <style>
      body {
        width: 500px;
        margin: 0 auto;
      }
      h1 {
        font-size: 40px;
        font-weight: bold;
        text-align: center;
      }
      .between {
        float: right;
        display: inline-block;
      }
      .again {
        background-color: burlywood;
        color: #000;
        font-size: 16px;
        padding: 10px 20px;
        display: inline-block;
        border: none;
      }
      .left {
        display: inline-block;
      }
      .right {
        display: inline-block;
        float: right;
      }
      .number {
        font-size: 18px;
        border: 1px solid #000;
        background-color: bisque;
        padding: 10px 30px;
        width: 50px;
        text-align: center;
        margin: 0 auto 20px;
      }
      .guess {
        padding: 8px 10px;
      }
      .check {
        padding: 8px 20px;
        background-color: cadetblue;
        color: #fff;
        border: none;
      }
      .message {
        font-size: 22px;
        font-weight: bold;
        margin: 0;
      }
      .label-score,
      .label-highscore {
        font-size: 20px;
        font-weight: 500;
      }
    </style>
  </head>
  <body>
    <header>
      <h1>Guess My Number</h1>
      <p class="between">(between 1 and 20)</p>
      <button class="btn again">Again!</button>
      <div class="number">?</div>
    </header>
    <main>
      <section class="left">
        <input type="number" class="guess" />
        <button class="btn check">check!</button>
      </section>
      <section class="right">
        <p class="message">start guessing...</p>
        <p class="label-score">score: <span class="score">20</span></p>
        <p class="label-highscore">Highscore: <span class="score">0</span></p>
      </section>
    </main>

    <script src="custom.js"></script>
    <script src="test.js"></script>

  </body>
</html>
